Please sync ibus-unikey 0.5-2 (main) from Debian unstable (main)

Bug #640682 reported by Lê Quốc Tuấn on 2010-09-16
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ibus-unikey (Ubuntu)
Undecided
Unassigned
Nominated for Maverick by Lê Quốc Tuấn

Bug Description

Binary package hint: ibus-unikey

Ibus-unikey in maverick has some bugs, this must be fixed
This is patch from upstream

Debian changelog:

 ibus-unikey (0.5-2) unstable; urgency=low
 .
   * debian/patches/crash-when-edit-macrotable.patch: fix bug crash when
     edit macro table (Closes: #597292).
   * debian/patches/macro-on-but-cant-use.patch: enable macro but can't use
   * debian/patches/check-setup-to-reload-config.patch: improve config
   * debian/control: bump standards version to 3.9.1.

Thanks

description: updated
Bhavani Shankar (bhavi) wrote :

Hello

Please provide a interdiff between the present maverick version and the package you want to bring proposed changes

Regards

Changed in ibus-unikey (Ubuntu):
status: New → Incomplete

here is the interdiff

thanks again!

Artur Rona (ari-tczew) wrote :

This is a sync 0.5-2 from Debian unstable. I'm converting this bug into a sync request.
ACK from me.

Artur Rona (ari-tczew) wrote :

Ah, 0.5-2 not yet in Debian (your first patch suggested me). It must be uploaded manually, as Ubuntu delta.

Artur Rona (ari-tczew) wrote :

Please provide debdiff including your changes. Follow with https://wiki.ubuntu.com/PackagingGuide/Howtos/Debdiff.
For every other bug please create a separate patch and put them into debian/patches. All patches will be included in your debdiff. Follow with: https://wiki.ubuntu.com/PackagingGuide/PatchSystems
Also you should run command: update-maintainer. Follow with: https://wiki.ubuntu.com/DebianMaintainerField

Artur Rona (ari-tczew) wrote :

I'm unsubscribing ubuntu-sponsors. Please resubscribe when your file is ready.

Lê Kiến Trúc (le-kien-truc) wrote :

@Arutr Rona:
I think this bug is very serious because ibus-unikey won't work in 10.10 if it doesn't apply this patch (because the version of ibus)
Lê Quốc Tuấn is ibus-unikey maintainer of this package in debian (http://packages.debian.org/squeeze/ibus-unikey) and he couldn't contact Andrew Lee from debian to commit the patch.

There are about few days before freeze process expire if we waiting for Debian, Vietnamese Ubuntu user might not use this version from Default ubuntu repository and it will be useless.

I talked with Lê Quốc Tuấn and he said that he will re upload the patch ASAP.

Thanks

@Artur Rona:
It have been uploaded to debian unstable, you can sync it now

Thanks

Bhavani Shankar (bhavi) wrote :

I ll take care of this sync

regards

Changed in ibus-unikey (Ubuntu):
status: Incomplete → New
status: New → In Progress
assignee: nobody → Bhavani Shankar (bhavi)
Bhavani Shankar (bhavi) wrote :

ACK from MOTU

Changed in ibus-unikey (Ubuntu):
status: In Progress → New
assignee: Bhavani Shankar (bhavi) → nobody
summary: - Patch for some bugs
+ Please sync 0.5-2 from debian unstable
description: updated

Package uploaded.

Thanks for your contribution

Regards

Changed in ibus-unikey (Ubuntu):
status: New → Fix Committed
Bhavani Shankar (bhavi) wrote :

Oops! dint realise that its in main component

Setting back status to new

Changed in ibus-unikey (Ubuntu):
status: Fix Committed → New
Benjamin Drung (bdrung) wrote :

subscribing ubuntu-release

Artur Rona (ari-tczew) on 2010-09-22
summary: - Please sync 0.5-2 from debian unstable
+ Please sync ibus-unikey 0.5-2 (main) from Debian unstable (main)
Iulian Udrea (iulian) wrote :

Ack. Approved.

Benjamin Drung (bdrung) wrote :

sponsor's ACK

Colin Watson (cjwatson) wrote :

2010-09-24 16:22:32 INFO ibus-unikey_0.5.orig.tar.gz: already in distro - downloading from librarian
2010-09-24 16:22:32 INFO - <ibus-unikey_0.5.orig.tar.gz: cached>
[Updating] ibus-unikey (0.5-1 [Ubuntu] < 0.5-2 [Debian])
 * Trying to add ibus-unikey...
2010-09-24 16:22:32 INFO - <ibus-unikey_0.5-2.dsc: downloading from http://ftp.debian.org/debian/>
2010-09-24 16:22:32 INFO - <ibus-unikey_0.5-2.debian.tar.gz: downloading from http://ftp.debian.org/debian/>
I: ibus-unikey [main] -> ibus-unikey_0.5-1 [main].

Changed in ibus-unikey (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers